Subject: [bug#77035] [PATCH 0/2] home: setup-environment: Avoid prepending duplicated PATH.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 19 Mar 2025 11:29:56 +0100

Hi Hilton,

Hilton Chain <[email-masked]> skribis:

> With this change, it will be changed to:
>
> /run/privileged/bin
> ~/.config/guix/current/bin
> ~/.guix-profile/bin
> ~/.guix-profile/sbin
> ~/.guix-home/profile/bin
> ~/.guix-home/profile/sbin
> /run/current-system/profile/bin
> /run/current-system/profile/sbin
>
>
> I haven't changed guix-install.sh yet, so the following remains on foregin
> distros:
>
> ~/.guix-home/profile/bin
> ~/.guix-home/profile/sbin
> ~/.guix-profile/bin
> ~/.guix-profile/sbin
>
> If you agree with [PATCH 1/2], I'll change guix-install.sh too.

This LGTM.  I let you send the ‘guix-install.sh’ change and then push it
all at once, sounds good?

Thanks,
Ludo’.